/*
 *
 *           MULti Core Operating System - Tiny / Multilayer Kernel
 *                      Device for STM32H56x main line
 *
 *           Copyright (c) 2024 SPIRAL-TECH Co.,ltd All Rights Reserved.
 *
 *  File name       dv_stm32h56x.h
 *
 *  Jan/01/2024     Created.
 *
 */

#ifndef _DV_STM32H56X_H_
#define _DV_STM32H56X_H_


/* Reset and clock control (RCC) */
#include "dv_stm32h5xx_rcc.h"

/* Power control (PWR) */
#include "dv_stm32h5xx_pwr.h"

/* Instruction/Data cache (ICACHE, DCACHE) */
#include "dv_stm32h5xx_cache.h"

/* Global TrustZone controller (GTZC) */
#include "dv_stm32h56x_gtzc.h"

/* General purpose I/O (GPIO) */
#include "dv_stm32h5xx_gpio.h"

/* Universal asynchronous receiver transmitter (UART) */
#include "dv_stm32h5xx_uart.h"

/* Generic purpose timers (TIM) */
#include "dv_stm32h5xx_tim.h"

/* Flash memory controller (FLASH) */
#include "dv_stm32h5xx_flash.h"

/* Extended interrupt and event controller (EXTI) */
#include "dv_stm32h5xx_exti.h"

/* Please edit as necessary */

/* Kvȃwb_t@CCN[h */

#endif /* _DV_STM32H56X_H_ */
