/*
 *  MULti Core Operating System Tiny Kernel (MULCOS-T)
 *
 *          Vector table definitions
 *          Dependent on NUCLEO-H563ZI
 *
 *          Copyright (c) 2024 SPIRAL-TECH Co.,ltd All Rights Reserved.
 *
 *  File name   vector.s
 *
 *  Jan/01/2024 Created.
 *
 */


/*
 *  Vector table
 */

        .extern default_handler
        .extern Reset_Handler
        .extern except_nmi
        .extern except_hard_fault
        .extern except_mem_manage
        .extern except_bus_fault
        .extern except_usage_fault
        .extern except_secure_fault
        .extern except_debug_monitor

        .section    .intvec,"a",%progbits

        .globl  __vector_table

        .type   __vector_table, %object

__vector_table:
        .word   __main_sp                       /*  0: Main stack pointer       */
        .word   Reset_Handler                   /*  1: Reset                    */
        .word   except_nmi                      /*  2: Non-maskable interrupt   */
        .word   except_hard_fault               /*  3: Hard fault               */
        .word   except_mem_manage               /*  4: MemManage fault          */
        .word   except_bus_fault                /*  5: Bus fault                */
        .word   except_usage_fault              /*  6: Usage fault              */
        .word   except_secure_fault             /*  7: Secure fault             */
        .word   default_handler                 /*  8:                          */
        .word   default_handler                 /*  9:                          */
        .word   default_handler                 /* 10:                          */
        .word   default_handler                 /* 11: SVC                      */
        .word   except_debug_monitor            /* 12: Debug monitor            */
        .word   default_handler                 /* 13: Default handler          */
        .word   default_handler                 /* 14: PendSV                   */
        .word   default_handler                 /* 15: SysTick                  */

