/*
 *
 *  MULti Core Operating System - Multilayer Kernel (MULCOS-MK)
 *           NUCLEO-H563ZI Configurations
 *
 *           Copyright (c) 2024 SPIRAL-TECH Co.,ltd All Rights Reserved.
 *
 *  File name       config.h
 *
 *  Jan/01/2024     Created.
 *
 */


#ifndef CONFIG_H
#define CONFIG_H

/*
 *      Configuration User's memory management
 */

#define USR_MEM_ADDR        0x20070000
#define USR_MEM_SIZE        0x00028000

/*
 *      Max value
 */

#define MAX_TASK        17
#define RSV_TASK        1
#define MAX_EFLG        19
#define RSV_EFLG        0
#define MAX_SEM         18
#define RSV_SEM         0
#define MAX_DTQ         20
#define RSV_DTQ         0
#define MAX_MBX         21
#define RSV_MBX         0
#define MAX_MTX         22
#define RSV_MTX         0
#define MAX_MBF         23
#define RSV_MBF         0
#define MAX_MPF         25
#define RSV_MPF         0
#define MAX_MPL         26
#define RSV_MPL         0
#define MAX_CYC         28
#define RSV_CYC         0
#define MAX_ISR         29
#define RSV_ISR         0
#define MAX_TPRI        16
#define CLK_MSEC        1000

/*
 *      Define dispatch priority (Don't modify)
 */

#define DSP_PRI         0xFF

/*
 *      Define system down driver
 */

#define SYS_DOWN        0

/*
 *      Define idling routine
 */

#define SYS_IDLE        0

/*
 *      Define FPSCR register value
 */

#define INI_FPSCR       0x02000000

#endif
